/*
 * Created on 24 juin 2004
 * IntroPanel.java
 * Panneau présentant une introduction animée.
 */
package org.progx.salesmanager.ui;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Font;

import javax.swing.JPanel;

import org.progx.salesmanager.event.QuitListener;

import com.jgoodies.animation.Animation;
import com.jgoodies.animation.Animations;
import com.jgoodies.animation.Animator;
import com.jgoodies.animation.animations.BasicTextAnimation;
import com.jgoodies.animation.animations.BasicTextAnimations;
import com.jgoodies.animation.components.BasicTextLabel;


/**
 * Panneau présentant une introduction animée.
 * 
 * @author Romain Guy
 */
public class IntroPanel extends JPanel implements QuitListener {
    
    private SalesManagerFrame parent;
    private Animator animator;
    
    public IntroPanel(SalesManagerFrame parent) {
        super(new BorderLayout());
        setOpaque(false);

        this.parent = parent;
        this.parent.addQuitListener(this);

        Font font = new Font("Tahoma", Font.BOLD, 22);
        BasicTextLabel label1 = new BasicTextLabel(" ");
        label1.setFont(font);
        label1.setBounds(0, 0, 350, 100);
        label1.setOpaque(false);
        add(BorderLayout.CENTER, label1);

        Animation welcome = BasicTextAnimation.defaultFade(label1, 2500, "Welcome To", Color.darkGray);

        Animation theJGoodiesAnimation =
            BasicTextAnimation.defaultFade(label1, 3000, "The Sales Manager Demo", Color.darkGray);

        Animation description =
            BasicTextAnimations.defaultFade(
                label1,
                label1,
                2000,
                -100,
                "An effective|working|demo for SAP connectivity",
                Color.darkGray);

        Animation features =
            BasicTextAnimation.defaultFade(label1, 3000, "Main Features:", Color.darkGray);

        Animation featureList =
            BasicTextAnimations.defaultFade(
                label1,
                label1,
                1750,
                0,
                "SAP R/3|Authentication|BAPIs calls|JCo library",
                Color.darkGray);

        Animation all =
            Animations.sequential(
                new Animation[] {
                    Animations.pause(1000),
                    welcome,
                    Animations.pause(1000),
                    theJGoodiesAnimation,
                    Animations.pause(1000),
                    description,
                    Animations.pause(1000),
                    features,
                    Animations.pause(1000),
                    featureList,
                    Animations.pause(1500),
                    });

        this.animator = new Animator(all, 30);
        this.animator.start();
    }

    public void quit() {
        this.animator.stop();
    }
}
